﻿@using Xtoman.Utility
@model BlogIndexViewModel

<div class="row">
    @foreach (var item in Model.Posts)
    {
        <div class="col-12">
            <div class="card mt-2">
                @if (item.Media != null)
                {
                    <img class="card-img-top img-fluid" src="@item.Media.Thumbnails.ImgSrc("post.medium")" alt="@item.Title">
                }
                <div class="card-body p-3">
                    <h4 class="card-title">
                        <a href="@Url.RouteUrl("SinglePost", new { url = item.Url })">@item.Title</a>
                    </h4>
                    <p class="card-text">@item.Summary</p>
                    <p class="card-text"><small class="text-muted">@item.PublishDate.Value.ToFaDateTimeZone()</small></p>
                </div>
            </div>
        </div>
    }
</div>